[arch-commits] Commit in hunspell/trunk (PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Wed Jul 2 14:45:41 EDT 2008


    Date: Wednesday, July 2, 2008 @ 14:45:41
  Author: andyrtr
Revision: 4032

upgpkg: hunspell 1.2.4-1

Modified:
  hunspell/trunk/PKGBUILD

----------+
 PKGBUILD |   17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-02 18:34:54 UTC (rev 4031)
+++ PKGBUILD	2008-07-02 18:45:41 UTC (rev 4032)
@@ -1,21 +1,22 @@
-# Maintainer: Jan de Groot <jgc at archlinux.org>
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
 # Contributor: Hussam Al-Tayeb <ht990332 at gmail.com>
+
 pkgname=hunspell
-pkgver=1.2.2
-pkgrel=2
+pkgver=1.2.4
+pkgrel=1
 pkgdesc="Hunspell is a spell checker and morphological analyzer library"
 arch=(i686 x86_64)
 license=('GPL' 'LGPL' 'MPL')
 url="http://hunspell.sourceforge.net/"
 depends=('gcc-libs')
 options=('!libtool')
-source=(http://downloads.sourceforge.net/sourceforge/hunspell/${pkgname}-${pkgver}.tar.gz)
-md5sums=('e8cde1130894dcd3f732248db945d0c0')
+source=(http://downloads.sourceforge.net/sourceforge/hunspell/${pkgname}-${pkgver}-2.tar.gz)
+md5sums=('fd08e76eca72af5d0d3294f2abe34c69')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  [ "$CARCH" = "x86_64" ] && CXXFLAGS="${CXXFLAGS} -fPIC"
+  cd ${srcdir}/${pkgname}-${pkgver}
+  sed -i "s:${prefix}\/man:${prefix}\/share\/man:g" configure || return 1
   ./configure --prefix=/usr --disable-static
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${pkgdir} install
 }





More information about the arch-commits mailing list